<?php

class EmailFixture extends CakeTestFixture {

	public $import = 'EvEmail.Email';

	public $records = [
		[
			'id' => 1,
			'name' => 'Test',
			'subject' => 'Foo bar',
			'content' => '<p>Hi {full_name},</p><p>Regards<br />{site_name}</p>',
			'required_tokens' => 'full_name,site_name',
			'optional_tokens' => null,
			'is_active' => true
		],
		[
			'id' => 2,
			'name' => 'Test (no tokens)',
			'subject' => 'Hello',
			'content' => '<p>Hello world</p>',
			'required_tokens' => null,
			'optional_tokens' => null,
			'is_active' => true
		],
		[
			'id' => 3,
			'name' => 'Test (advanced tokens)',
			'subject' => 'Hello (again)',
			'content' => '<p>Hello {name}</p><p>{==block==}</p>',
			'required_tokens' => '==block==',
			'optional_tokens' => 'name',
			'is_active' => true
		],
		[
			'id' => 4,
			'name' => 'Test (subject with token)',
			'subject' => 'Booking {ref}',
			'content' => '<p>Hello</p>',
			'required_tokens' => 'ref',
			'optional_tokens' => null,
			'is_active' => true
		],
		[
			'id' => 5,
			'name' => 'Disabled Test',
			'subject' => 'Disabled',
			'content' => '<p>Hello</p>',
			'required_tokens' => null,
			'optional_tokens' => null,
			'is_active' => false
		]
	];

}
